Bug 9271 - backport samba-tool fixes from master
backport samba-tool fixes from master
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
4.0.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 11:09 UTC by Stefan Metzmacher
Modified: 2012-12-03 19:35 UTC (History)
2 users (show)

See Also:


Attachments
Porposed patch (293.36 KB, patch)
2012-10-09 11:15 UTC, Karolin Seeger
metze: review+
Details
Patches for v4-0-test (314.63 KB, patch)
2012-10-09 18:07 UTC, Stefan Metzmacher
no flags Details
Patches for v4-0-test (309.91 KB, patch)
2012-10-10 06:39 UTC, Stefan Metzmacher
kseeger: review+
Details
Rework ldap attribute fetch in classicupgrade for missing attributes (3.83 KB, patch)
2012-12-03 11:15 UTC, Karolin Seeger
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-10-09 11:09:29 UTC

    
Comment 1 Karolin Seeger 2012-10-09 11:15:32 UTC
Created attachment 8018 [details]
Porposed patch
Comment 2 Stefan Metzmacher 2012-10-09 11:16:47 UTC
Comment on attachment 8018 [details]
Porposed patch

Looks good
Comment 3 Stefan Metzmacher 2012-10-09 11:17:31 UTC
Karolin, please pick for the next rc
Comment 4 Stefan Metzmacher 2012-10-09 18:07:08 UTC
Created attachment 8021 [details]
Patches for v4-0-test

There were some patches missing.
Now autobuild should pass.
Comment 5 Stefan Metzmacher 2012-10-10 06:39:47 UTC
Created attachment 8032 [details]
Patches for v4-0-test

Improved patchset
Comment 6 Karolin Seeger 2012-10-10 06:54:55 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!
Comment 7 Karolin Seeger 2012-12-03 11:14:12 UTC
There is another backport from master needed:
Rework ldap attribute fetch in classicupgrade for missing attributes.
Comment 8 Karolin Seeger 2012-12-03 11:15:33 UTC
Created attachment 8264 [details]
Rework ldap attribute fetch in classicupgrade for missing attributes
Comment 9 Stefan Metzmacher 2012-12-03 11:16:59 UTC
Comment on attachment 8264 [details]
Rework ldap attribute fetch in classicupgrade for missing attributes

Looks ok
Comment 10 Karolin Seeger 2012-12-03 12:18:13 UTC
Pushed to autobuild-v4-0-test.
Comment 11 Karolin Seeger 2012-12-03 19:35:47 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!